%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A handy file search tool
Name:		catfish
Version:	1.4.2
Release:	%mkrel 1
Group:		File tools
License:	GPLv2+
URL:		http://twotoasts.de/index.php/catfish
Source0:	https://launchpad.net/catfish-search/%{url_ver}/%{version}/+download/catfish-%{version}.tar.bz2
Patch0:		catfish-1.0.0-strict-Gtk-typelib-requires.patch
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	python-distutils-extra

# to silent some build time warnings
BuildRequires:	zeitgeist
BuildRequires:	python-pexpect

Requires:	python-gi
Requires:	python-pexpect
Requires:	mlocate
Requires:	findutils
Recommends:	zeitgeist

%description
Catfish is a handy file searching tool for Linux and Unix. The
interface is intentionally lightweight and simple, using only
GTK+3. You can configure it to your needs by using several
command line options.

%prep
%autosetup -p1

%build
%py2_build

%install
#%%py2_install fails because of --skip-build
CFLAGS="%{optflags}" %__python2 setup.py install -O1 --root %{buildroot}

desktop-file-install \
	--remove-category="Utility" \
	--add-category='System' \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_mandir}/man1/%{name}.1*
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}_lib/
%{python2_sitelib}/%{name}-%{version}-py%{python2_version}.egg-info


%changelog
* Tue May 30 2017 wally <wally> 1.4.2-1.mga6
+ Revision: 1105541
- new version 1.4.2
- recommend zeitgeist

* Mon Aug 15 2016 wally <wally> 1.3.3-3.mga6
+ Revision: 1046491
- add patch originally from Fedora to fix possible startup crashes (mga#19116)

* Sat Feb 20 2016 umeabot <umeabot> 1.3.3-2.mga6
+ Revision: 971966
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 ngompa <ngompa> 1.3.3-1.mga6
+ Revision: 893905
- Updated to 1.3.3

* Sun Jun 21 2015 shlomif <shlomif> 1.2.2-1.mga6
+ Revision: 837876
- Correct typos
- New version 1.2.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 746688
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-2.mga5
+ Revision: 678321
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Thu Aug 14 2014 wally <wally> 1.0.3-1.mga5
+ Revision: 662535
- new version 1.0.3

* Mon Apr 28 2014 shlomif <shlomif> 1.0.2-2.mga5
+ Revision: 618574
- Correct URL

* Mon Apr 28 2014 shlomif <shlomif> 1.0.2-1.mga5
+ Revision: 618573
- New version 1.0.2

* Tue Feb 11 2014 wally <wally> 1.0.0-1.mga5
+ Revision: 589333
- new version 1.0.0
- rediff P0
- BR python-pexpect

* Tue Oct 22 2013 umeabot <umeabot> 0.8.2-2.mga4
+ Revision: 541373
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 wally <wally> 0.8.2-1.mga4
+ Revision: 495814
- new version 0.8.2
- switch to gtk3
- clean .spec

* Fri Aug 02 2013 dams <dams> 0.6.4-1.mga4
+ Revision: 462552
- new version 0.6.4

* Tue May 28 2013 shlomif <shlomif> 0.6.3-1.mga4
+ Revision: 429748
- Add missing BR
- New version 0.6.3
- Remove trailing space

* Fri Jan 11 2013 umeabot <umeabot> 0.3.2-6.mga3
+ Revision: 347435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + sander85 <sander85>
    - Update URL

* Sat Mar 26 2011 wally <wally> 0.3.2-5.mga1
+ Revision: 77832
- drop obsolete py_requires macro
- drop buildroot definition
- fix pyxdg package name in requires
- imported package catfish

